%define major      5
%define libname    %mklibname unistring %{major}
%define develname  %mklibname unistring -d

Summary:        GNU Unicode string library
Name:           libunistring
Version:        1.2
Release:        %mkrel 1
License:        LGPLv3+ or GPLv2
Group:          System/Libraries
Url:            http://www.gnu.org/software/libunistring/
Source0:        http://ftp.gnu.org/gnu/libunistring/%{name}-%{version}.tar.xz
BuildRequires:  locales-fr
BuildRequires:  texinfo

%description
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n     %{libname}
Group:          System/Libraries
Summary:        GNU Unicode string library

%description -n %{libname}
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n     %{develname}
Group:          Development/Libraries
Summary:        GNU Unicode string library - development files
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      lib64unistring-static-devel

%description -n %{develname}
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/%{name}

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libunistring.so.%{major}*

%files -n %{develname}
%{_libdir}/libunistring.so
%{_infodir}/libunistring.info*
%{_includedir}/unistring
%{_includedir}/*.h


%changelog
* Thu Mar 07 2024 tex - 1.2-1pclos2024
- new version

* Sat Jan 14 2023 tex - 1.1-1pclos2023
- new version

* Fri Jan 28 2022 tex - 1.0-1pclos2022
- new version

* Thu Feb 13 2020 tex - 0.9.10-1pclos2020
- new
